# Generated from ruby_process-0.0.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby_process

Name: rubygem-%{gem_name}
Version: 0.0.13
Release: 1%{?dist}
Summary: A framework for spawning and communicating with other Ruby-processes
License: MIT
URL: http://github.com/kaspernj/ruby_process
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.8.0
# BuildRequires: rubygem(rspec) < 2.9
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
BuildArch: noarch

%description
A framework for spawning and communicating with other Ruby-processes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/cmds
%{gem_instdir}/include
%{gem_libdir}
%{gem_instdir}/scripts
%{gem_instdir}/shippable.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/RubyProcess.gemspec
%{gem_instdir}/examples
%{gem_instdir}/ruby_process.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.13-1
- Initial package
